| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ResourceLimitsQosPolicy Class Reference

Specifies the resources that the Service can consume in order to meet the requested QoS. More...

`#include <QosPolicies.hpp>`

Inheritance diagram for ResourceLimitsQosPolicy:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | ResourceLimitsQosPolicy ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~ResourceLimitsQosPolicy ()=default
| Destructor.
bool | operator== (const ResourceLimitsQosPolicy &b) const
void | clear () override
| Clears the QosPolicy object.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const
Public Member Functions inherited from QosPolicy
| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.

## Public Attributes

int32_t | max_samples
| Specifies the maximum number of data-samples the DataWriter (or DataReader) can manage across all the instances associated with it.
int32_t | max_instances
| Represents the maximum number of instances DataWriter (or DataReader) can manage.
int32_t | max_samples_per_instance
| Represents the maximum number of samples of any one instance a DataWriter(or DataReader) can manage.
int32_t | allocated_samples
| Number of samples currently allocated.
int32_t | extra_samples
| Represents the extra number of samples available once the max_samples have been reached in the history.
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.
Public Attributes inherited from QosPolicy
bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Additional Inherited Members

Protected Attributes inherited from QosPolicy
bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Detailed Description

Specifies the resources that the Service can consume in order to meet the requested QoS.

Note
  Immutable Qos Policy

## Constructor & Destructor Documentation

## ◆ ResourceLimitsQosPolicy()

FASTDDS_EXPORTED_API ResourceLimitsQosPolicy | ( |  | ) |

inline

Constructor.

## ◆ ~ResourceLimitsQosPolicy()

virtual FASTDDS_EXPORTED_API ~ResourceLimitsQosPolicy | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline override virtual

Clears the QosPolicy object.

Implements QosPolicy.

## ◆ operator==()

bool operator== | ( | const ResourceLimitsQosPolicy & | b | ) | const

inline

## Member Data Documentation

## ◆ allocated_samples

int32_t allocated_samples

Number of samples currently allocated.

By default, 100.

## ◆ extra_samples

int32_t extra_samples

Represents the extra number of samples available once the max_samples have been reached in the history.

This makes it possible, for example, to loan samples even with a full history. By default, 1.

## ◆ max_instances

int32_t max_instances

Represents the maximum number of instances DataWriter (or DataReader) can manage.

Value less or equal to 0 means infinite resources. By default, 10.

Warning
  It is inconsistent if (max_instances * max_samples_per_instance) > max_samples.

## ◆ max_samples

int32_t max_samples

Specifies the maximum number of data-samples the DataWriter (or DataReader) can manage across all the instances associated with it.

Represents the maximum samples the middleware can store for any one DataWriter (or DataReader).
Value less or equal to 0 means infinite resources. By default, 5000.

Warning
  It is inconsistent if max_samples < (max_instances * max_samples_per_instance).

## ◆ max_samples_per_instance

int32_t max_samples_per_instance

Represents the maximum number of samples of any one instance a DataWriter(or DataReader) can manage.

Value less or equal to 0 means infinite resources. By default, 400.

Warning
  It is inconsistent if (max_instances * max_samples_per_instance) > max_samples.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp